# Uses of Class
com.google.protobuf.TypeRegistry

Packages that use TypeRegistry
Package
Description
com.google.protobuf

## Uses of TypeRegistry in com.google.protobuf

Methods in com.google.protobuf that return TypeRegistry
Modifier and Type
Method
Description
`TypeRegistry`
TypeRegistry.Builder.`build()`
Builds a `TypeRegistry`.
`static TypeRegistry`
TypeRegistry.`getEmptyTypeRegistry()`
Methods in com.google.protobuf with parameters of type TypeRegistry
Modifier and Type
Method
Description
`TextFormat.Parser.Builder`
TextFormat.Parser.Builder.`setTypeRegistry(TypeRegistry typeRegistry)`
Sets the TypeRegistry for resolving Any.
`TextFormat.Printer`
TextFormat.Printer.`usingTypeRegistry(TypeRegistry typeRegistry)`
Creates a new `TextFormat.Printer` using the given typeRegistry.